import { flags } from '@salesforce/command';
import { Logger } from '@salesforce/core';
import { Setup } from '@salesforce/lwc-dev-mobile-core/lib/cli/commands/force/lightning/local/setup';
import { Requirement } from '@salesforce/lwc-dev-mobile-core/lib/common/Requirements';
export declare class Preview extends Setup {
    static description: string;
    static args: {
        name: string;
    }[];
    static flagsConfig: {
        componentname: flags.Discriminated<flags.Option<string>>;
        configfile: flags.Discriminated<flags.Option<string>>;
        confighelp: flags.Discriminated<flags.Boolean<void>>;
        platform: flags.Discriminated<flags.Option<string>>;
        projectdir: flags.Discriminated<flags.Option<string>>;
        target: flags.Discriminated<flags.Option<string>>;
        targetapp: flags.Discriminated<flags.Option<string>>;
    };
    protected static requiresUsername: boolean;
    protected static supportsDevhubUsername: boolean;
    protected static requiresProject: boolean;
    examples: string[];
    private serverPort;
    private deviceName;
    private componentName;
    private targetApp;
    private projectDir;
    private configFilePath;
    private appConfig;
    run(direct?: boolean): Promise<any>;
    validateInputParameters(): Promise<void>;
    launchPreview(): Promise<void>;
    protected init(): Promise<void>;
    protected _help(): never;
    private launchIOS;
    private launchAndroid;
}
export declare class LWCServerPluginInstalledRequirement implements Requirement {
    title: string;
    fulfilledMessage: string;
    unfulfilledMessage: string;
    logger: Logger;
    constructor(logger: Logger);
    checkFunction(): Promise<string>;
}
export declare class LwcServerIsRunningRequirement implements Requirement {
    title: string;
    fulfilledMessage: string;
    unfulfilledMessage: string;
    logger: Logger;
    constructor(logger: Logger);
    checkFunction(): Promise<string>;
}
//# sourceMappingURL=preview.d.ts.map